Loading...
Searching...
No Matches
volk_8ic_x2_multiply_conjugate_16ic.h File Reference
`#include <inttypes.h>`
`#include <limits.h>`
`#include <stdio.h>`
`#include <volk/volk_complex.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Macros

#define | INCLUDED_volk_8ic_x2_multiply_conjugate_16ic_u_H

## Functions

static void | volk_8ic_x2_multiply_conjugate_16ic_generic (lv_16sc_t *cVector, const lv_8sc_t *aVector, const lv_8sc_t *bVector, unsigned int num_points)
| Multiplys the one complex vector with the complex conjugate of the second complex vector and stores their results in the third vector.
static void | volk_8ic_x2_multiply_conjugate_16ic_neon (lv_16sc_t *cVector, const lv_8sc_t *aVector, const lv_8sc_t *bVector, unsigned int num_points)

## Macro Definition Documentation

## INCLUDED_volk_8ic_x2_multiply_conjugate_16ic_u_H

#define INCLUDED_volk_8ic_x2_multiply_conjugate_16ic_u_H

## Function Documentation

## volk_8ic_x2_multiply_conjugate_16ic_generic()

void volk_8ic_x2_multiply_conjugate_16ic_generic | ( | lv_16sc_t * | cVector,
|  | const lv_8sc_t * | aVector,
|  | const lv_8sc_t * | bVector,
|  | unsigned int | num_points )

inline static

Multiplys the one complex vector with the complex conjugate of the second complex vector and stores their results in the third vector.

Parameters

  cVector | The complex vector where the results will be stored
  aVector | One of the complex vectors to be multiplied
  bVector | The complex vector which will be converted to complex conjugate and multiplied
  num_points | The number of complex values in aVector and bVector to be multiplied together and stored into cVector

## volk_8ic_x2_multiply_conjugate_16ic_neon()

void volk_8ic_x2_multiply_conjugate_16ic_neon | ( | lv_16sc_t * | cVector,
|  | const lv_8sc_t * | aVector,
|  | const lv_8sc_t * | bVector,
|  | unsigned int | num_points )

inline static